Bug 1397450 - NFS-Ganesha:Volume reset for any option causes reset of ganesha enable option and bring down the ganesha services
Summary: NFS-Ganesha:Volume reset for any option causes reset of ganesha enable option...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: surabhi
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1397795 1402366 1405951 1405955
TreeView+ depends on / blocked
 
Reported: 2016-11-22 14:47 UTC by surabhi
Modified: 2017-03-23 06:20 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1397795 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:20:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description surabhi 2016-11-22 14:47:25 UTC
Description of problem:
********************************
When any of the volume option is reset, error is seen in the cli output and ganesha options are also reset with bringing down the ganesha services .

I executed gluster vol volname reset readdir-ahead

gluster vol reset ganesha readdir-ahead 
volume reset: success: Dynamic export addition/deletion failed. Please see log file for details



 pcs status
Cluster name: ganesha-ha-360
Stack: corosync
Current DC: dhcp47-147.lab.eng.blr.redhat.com (version 1.1.15-11.el7_3.2-e174ec8) - partition with quorum
Last updated: Tue Nov 22 18:15:59 2016		Last change: Tue Nov 22 18:15:42 2016 by root via crm_attribute on dhcp47-137.lab.eng.blr.redhat.com

4 nodes and 24 resources configured

Online: [ dhcp47-104.lab.eng.blr.redhat.com dhcp47-105.lab.eng.blr.redhat.com dhcp47-137.lab.eng.blr.redhat.com dhcp47-147.lab.eng.blr.redhat.com ]

Full list of resources:

 Clone Set: nfs_setup-clone [nfs_setup]
     Started: [ dhcp47-104.lab.eng.blr.redhat.com dhcp47-105.lab.eng.blr.redhat.com dhcp47-137.lab.eng.blr.redhat.com dhcp47-147.lab.eng.blr.redhat.com ]
 Clone Set: nfs-mon-clone [nfs-mon]
     Started: [ dhcp47-104.lab.eng.blr.redhat.com dhcp47-105.lab.eng.blr.redhat.com dhcp47-137.lab.eng.blr.redhat.com dhcp47-147.lab.eng.blr.redhat.com ]
 Clone Set: nfs-grace-clone [nfs-grace]
     Stopped: [ dhcp47-104.lab.eng.blr.redhat.com dhcp47-105.lab.eng.blr.redhat.com dhcp47-137.lab.eng.blr.redhat.com dhcp47-147.lab.eng.blr.redhat.com ]
 Resource Group: dhcp47-147.lab.eng.blr.redhat.com-group
     dhcp47-147.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Stopped
     dhcp47-147.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Stopped
     dhcp47-147.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	Stopped
 Resource Group: dhcp47-137.lab.eng.blr.redhat.com-group
     dhcp47-137.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Stopped
     dhcp47-137.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Stopped
     dhcp47-137.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	Stopped
 Resource Group: dhcp47-104.lab.eng.blr.redhat.com-group
     dhcp47-104.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Stopped
     dhcp47-104.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Stopped
     dhcp47-104.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	Stopped
 Resource Group: dhcp47-105.lab.eng.blr.redhat.com-group
     dhcp47-105.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Stopped
     dhcp47-105.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Stopped
     dhcp47-105.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	Stopped



Volume Name: gluster_shared_storage
Type: Replicate
Volume ID: 7cc41702-7189-41d7-8931-051ad49ba1d1
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: dhcp47-104.lab.eng.blr.redhat.com:/var/lib/glusterd/ss_brick
Brick2: dhcp47-105.lab.eng.blr.redhat.com:/var/lib/glusterd/ss_brick
Brick3: dhcp47-147.lab.eng.blr.redhat.com:/var/lib/glusterd/ss_brick
Options Reconfigured:
ganesha.enable: off
features.cache-invalidation: off
nfs.disable: on
performance.readdir-ahead: on
transport.address-family: inet
cluster.enable-shared-storage: enable
nfs-ganesha: enable




Version-Release number of selected component (if applicable):
nfs-ganesha-2.4.1-1.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-1.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64


How reproducible:
Always

Steps to Reproduce:
1.Create ganesha cluster setup
2. create a volume,start it
3. Execute gluster vol reset volname <any vol option>

Actual results:
It resets the ganesha enable option as well and brings ganesha and other services to stopped state and pcs status shows all nodes stopped.

Expected results:
The volume reset for specific option should only reset taht option and should not cause changes to ganesha related options and should not bring down the cluster.


Additional info:

Comment 3 Jiffin 2016-11-23 11:23:15 UTC
The patch posted upstream for review
http://review.gluster.org/15914

Comment 5 Atin Mukherjee 2016-12-07 13:51:54 UTC
upstream mainline : http://review.gluster.org/15914
upstream 3.9 : http://review.gluster.org/#/c/16054/
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/92365/

Comment 7 surabhi 2017-01-30 11:26:13 UTC
Volume reset command works successfully on a ganesha enabled volume and is not causing any issues to the other options as well as ganesha services.
Verified on build:
glusterfs-3.8.4-12.el7rhgs.x86_64

Comment 9 errata-xmlrpc 2017-03-23 06:20:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.